[Buildroot] [PATCH v2] package/cups-filters: select bash

Thomas Petazzoni thomas.petazzoni at bootlin.com
Sat Sep 28 21:10:44 UTC 2019


Hello Carlos,

On Mon, 23 Sep 2019 22:15:42 -0300
unixmania at gmail.com wrote:

> diff --git a/package/cups-filters/Config.in b/package/cups-filters/Config.in
> index 5badf0e1f1..bb54bc1d1b 100644
> --- a/package/cups-filters/Config.in
> +++ b/package/cups-filters/Config.in
> @@ -8,6 +8,7 @@ config BR2_PACKAGE_CUPS_FILTERS
>  	depends on BR2_TOOLCHAIN_HAS_THREADS # libglib2
>  	depends on BR2_PACKAGE_CUPS
>  	depends on BR2_TOOLCHAIN_GCC_AT_LEAST_4_8 # C++11
> +	select BR2_PACKAGE_BASH

To select bash, you would have to replicate the:

        depends on BR2_PACKAGE_BUSYBOX_SHOW_OTHERS

dependency of bash to cups-filters, which is a bit annoying, as it's
off by default.

Are the scripts that use #!/bin/bash really using bashims, or are they
using #!/bin/bash but are in fact POSIX compliant ?

Or could we install them only if bash is available ? Are they useful in
all situations, or only in some specific cases.

I'm just trying to figure out what is the right solution for this.
Perhaps ultimately the solution will be to select bash, with "depends
on BR2_PACKAGE_BUSYBOX_SHOW_OTHERS", but I'd like to explore the other
possibilities.

Thanks!

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com



More information about the buildroot mailing list